// If the slave only need to received data from the master
// Slave reduces to a simple shift register given by following HDL: 
module spi_slave_receive_only(input logic sck, //from master
							input logic sdi, //from master 
							output logic[7:0] q); // data received
always_ff @(posedge sck)
	q <={q[6:0], sdi}; //shift register
endmodule